# Matcher
Date: 2013-02-18

## org.simpleframework.xml.transform
Interface Matcher

All Known Implementing Classes:
  RegistryMatcher

    public interface Matcher

The `Matcher` is used to match a type with a transform such that a string value can be read or written as that type. If there is no match this will typically return a null to indicate that another matcher should be delegated to. If there is an error in performing the match an exception is thrown.

Author:
  Niall Gallagher
See Also:
  `Transformer`

Method Summary
`Transform` `match(java.lang.Class type)` This is used to match a `Transform` using the type specified.

Method Detail

### match

    Transform match(java.lang.Class type)
                    throws java.lang.Exception

  This is used to match a `Transform` using the type specified. If no transform can be acquired then this returns a null value indicating that no transform could be found.

  Parameters:
    `type` - this is the type to acquire the transform for
  Returns:
    returns a transform for processing the type given
  Throws:
    `java.lang.Exception`